/*
 * video-dfb.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: video-dfb.h,v 1.2 2004/05/19 19:25:59 stefan Exp $
 */

#ifndef VIDEO_DFB_H
#define VIDEO_DFB_H

#include "video.h"
#include <dfb++/dfb++.h>

class cDFBVideoOut : public cVideoOut {
private:
  IDirectFB	*dfb;
  IDirectFBDisplayLayer	*osdLayer;
  IDirectFBDisplayLayer *videoLayer;
  IDirectFBSurface *osdSurface;
  IDirectFBSurface *videoSurface;
  DFBSurfacePixelFormat pixelformat;
  int ovlXres, ovlYres;
  bool deinterlace;
  bool alphablend;
  void SetParams(int newXres, int newYres);

public:
  cDFBVideoOut();
  virtual ~cDFBVideoOut();

#if VDRVERSNUM >= 10307
  virtual void Refresh(cBitmap *Bitmap);
#else
  virtual void Refresh();
#endif

  virtual void YUV(uint8_t *Py, uint8_t *Pu, uint8_t *Pv, int Width, int Height, int Ystride, int UVstride);
  virtual void Pause(void);
  virtual void CloseOSD();
};

#endif // VIDEO_DFB_H
